## com.imcode.imcms.api
Class Template

    java.lang.Object
      com.imcode.imcms.api.Template

    public class Template

extends java.lang.Object

Constructor Summary
`Template(TemplateDomainObject internalTemplate)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getId()` Deprecated. Returns 0, use `getName()` instead.
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Template

    public Template(TemplateDomainObject internalTemplate)

Method Detail

### getName

    public java.lang.String getName()

### getId

    public int getId()

  Deprecated. Returns 0, use `getName()` instead.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`